>_ NicAPI Dokumentation

REST-API von LUMASERV: Domains, DNS, SSL, Cloud-Server, IP-Adressen, Abrechnung und mehr.

Domains / Handles / Kontakte

GET Handles abrufen API v1

GET https://connect.nicapi.eu/api/v1/domain/handles

Diese Funktion gibt alle zugewiesenen Handles zurück.

Authentifizierung
API-Token erforderlich (Authorization: Bearer … oder Parameter authToken)
Benötigte Rechte
HANDLES_LIST

Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.

curl \
  -H "Authorization: Bearer IHR_API_TOKEN" \
  "https://connect.nicapi.eu/api/v1/domain/handles"
use NicAPI\NicAPI;

NicAPI::init("IHR_API_TOKEN");

$result = NicAPI::get("domain/handles");

if (NicAPI::wasSuccess()) {
    $data = $result->data;
}

GET Länder abrufen API v1

GET https://connect.nicapi.eu/api/v1/domain/handles/countries

Diese Funktion gibt alle verfügbaren Länder für Handles zurück.

Authentifizierung
API-Token erforderlich (Authorization: Bearer … oder Parameter authToken)
Benötigte Rechte
HANDLES_LIST

Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.

curl \
  -H "Authorization: Bearer IHR_API_TOKEN" \
  "https://connect.nicapi.eu/api/v1/domain/handles/countries"
use NicAPI\NicAPI;

NicAPI::init("IHR_API_TOKEN");

$result = NicAPI::get("domain/handles/countries");

if (NicAPI::wasSuccess()) {
    $data = $result->data;
}

POST Handle erstellen API v1

POST https://connect.nicapi.eu/api/v1/domain/handles/create
Authentifizierung
API-Token erforderlich (Authorization: Bearer … oder Parameter authToken)
Benötigte Rechte
HANDLES_CREATE

Request-Parameter Werden im Request-Body übergeben (JSON oder Formular-Felder).

Name Pflicht Typ Einschränkungen Beschreibung
type Pflicht Auswahl
PERS ORG ROLE
sex Pflicht Auswahl
MALE FEMALE
firstname Pflicht Text
höchstens 100 Zeichen
lastname Pflicht Text
höchstens 100 Zeichen
organisation Bedingt Text
Pflicht, wenn type = ORG
höchstens 100 Zeichen
street Pflicht Text
höchstens 100 Zeichen
number Pflicht Text
höchstens 10 Zeichen
Format: /^[a-zA-z0-9 \/\-]{1,10}$/
postcode Pflicht Text
höchstens 12 Zeichen
Format: /.+/
city Pflicht Text
höchstens 100 Zeichen
Format: /^[^@`´]+$/
region Pflicht Text
höchstens 100 Zeichen
Format: /^[^@`´()]+$/
country Pflicht Text
muss ein vorhandener Wert sein (Ländercode nach ISO 3166-1 alpha-2, z. B. DE)
email Pflicht E-Mail-Adresse
countryofbirth Optional Text
muss ein vorhandener Wert sein (Ländercode nach ISO 3166-1 alpha-2, z. B. DE)
user Optional Identifikator: Benutzer Identifikator (username) des Objekts „User“.
dateofbirth Optional Datum (YYYY-MM-DD)
phone Pflicht Text
Telefonnummer im internationalen Format, z. B. +49.1234567890
fax Optional Text
darf leer (null) sein
Telefonnummer im internationalen Format, z. B. +49.1234567890
project_uuid Optional Identifikator: Projekt
darf leer (null) sein
Identifikator (uuid) des Objekts „Project“.
curl \
  -X POST \
  -H "Authorization: Bearer IHR_API_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
         "type": "PERS",
         "sex": "MALE",
         "firstname": "text",
         "lastname": "text",
         "organisation": "text",
         "street": "text",
         "number": "text",
         "postcode": "text",
         "city": "text",
         "region": "text",
         "country": "text",
         "email": "max@example.com",
         "phone": "text"
     }' \
  "https://connect.nicapi.eu/api/v1/domain/handles/create"
use NicAPI\NicAPI;

NicAPI::init("IHR_API_TOKEN");

$result = NicAPI::post("domain/handles/create", [
    'type' => 'PERS',
    'sex' => 'MALE',
    'firstname' => 'text',
    'lastname' => 'text',
    'organisation' => 'text',
    'street' => 'text',
    'number' => 'text',
    'postcode' => 'text',
    'city' => 'text',
    'region' => 'text',
    'country' => 'text',
    'email' => 'max@example.com',
    'phone' => 'text',
]);

if (NicAPI::wasSuccess()) {
    $data = $result->data;
}

DELETE Handle löschen API v1

DELETE https://connect.nicapi.eu/api/v1/domain/handles/delete
Authentifizierung
API-Token erforderlich (Authorization: Bearer … oder Parameter authToken)
Benötigte Rechte
HANDLES_CRUD

Request-Parameter Werden im Request-Body übergeben (JSON oder Formular-Felder).

Name Pflicht Typ Einschränkungen Beschreibung
handle Pflicht Identifikator: Domain-Handle (Kontakt) Identifikator (handle) des Objekts „Domain Handle“.
curl \
  -X DELETE \
  -H "Authorization: Bearer IHR_API_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
         "handle": "{handle}"
     }' \
  "https://connect.nicapi.eu/api/v1/domain/handles/delete"
use NicAPI\NicAPI;

NicAPI::init("IHR_API_TOKEN");

$result = NicAPI::delete("domain/handles/delete", [
    'handle' => '{handle}',
]);

if (NicAPI::wasSuccess()) {
    $data = $result->data;
}

POST Handle bearbeiten API v1

POST https://connect.nicapi.eu/api/v1/domain/handles/edit
Authentifizierung
API-Token erforderlich (Authorization: Bearer … oder Parameter authToken)
Benötigte Rechte
HANDLES_CRUD

Request-Parameter Werden im Request-Body übergeben (JSON oder Formular-Felder).

Name Pflicht Typ Einschränkungen Beschreibung
handle Pflicht Identifikator: Domain-Handle (Kontakt) Identifikator (handle) des Objekts „Domain Handle“.
organisation Optional Text
höchstens 100 Zeichen
street Pflicht Text
höchstens 100 Zeichen
number Pflicht Text
höchstens 10 Zeichen
Format: /^[a-zA-z0-9 \/\-]{1,10}$/
postcode Pflicht Text
höchstens 12 Zeichen
Format: /.+/
city Pflicht Text
höchstens 100 Zeichen
Format: /^[^@`´]+$/
region Pflicht Text
höchstens 100 Zeichen
Format: /^[^@`´()]+$/
country Pflicht Text
muss ein vorhandener Wert sein (Ländercode nach ISO 3166-1 alpha-2, z. B. DE)
email Pflicht E-Mail-Adresse
countryofbirth Optional Text
muss ein vorhandener Wert sein (Ländercode nach ISO 3166-1 alpha-2, z. B. DE)
user Optional Identifikator: Benutzer Identifikator (username) des Objekts „User“.
phone Pflicht Text
Telefonnummer im internationalen Format, z. B. +49.1234567890
fax Optional Text
Telefonnummer im internationalen Format, z. B. +49.1234567890
project_uuid Optional Identifikator: Projekt
darf leer (null) sein
Identifikator (uuid) des Objekts „Project“.
curl \
  -X POST \
  -H "Authorization: Bearer IHR_API_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
         "handle": "{handle}",
         "street": "text",
         "number": "text",
         "postcode": "text",
         "city": "text",
         "region": "text",
         "country": "text",
         "email": "max@example.com",
         "phone": "text"
     }' \
  "https://connect.nicapi.eu/api/v1/domain/handles/edit"
use NicAPI\NicAPI;

NicAPI::init("IHR_API_TOKEN");

$result = NicAPI::post("domain/handles/edit", [
    'handle' => '{handle}',
    'street' => 'text',
    'number' => 'text',
    'postcode' => 'text',
    'city' => 'text',
    'region' => 'text',
    'country' => 'text',
    'email' => 'max@example.com',
    'phone' => 'text',
]);

if (NicAPI::wasSuccess()) {
    $data = $result->data;
}

GET Einzelnes Handle abrufen API v1

GET https://connect.nicapi.eu/api/v1/domain/handles/show

Gibt Informationen über ein einzelnes Handle zurück.

Authentifizierung
API-Token erforderlich (Authorization: Bearer … oder Parameter authToken)
Benötigte Rechte
HANDLES_LIST

Request-Parameter Werden als Query-Parameter übergeben.

Name Pflicht Typ Einschränkungen Beschreibung
handle Pflicht Identifikator: Domain-Handle (Kontakt) Identifikator (handle) des Objekts „Domain Handle“.
curl \
  -H "Authorization: Bearer IHR_API_TOKEN" \
  "https://connect.nicapi.eu/api/v1/domain/handles/show?handle=%7Bhandle%7D"
use NicAPI\NicAPI;

NicAPI::init("IHR_API_TOKEN");

$result = NicAPI::get("domain/handles/show", [
    'handle' => '{handle}',
]);

if (NicAPI::wasSuccess()) {
    $data = $result->data;
}

GET Handles: Statistics API v1

GET https://connect.nicapi.eu/api/v1/domain/handles/statistics
Authentifizierung
API-Token erforderlich (Authorization: Bearer … oder Parameter authToken)
Benötigte Rechte
HANDLES_LIST

Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.

curl \
  -H "Authorization: Bearer IHR_API_TOKEN" \
  "https://connect.nicapi.eu/api/v1/domain/handles/statistics"
use NicAPI\NicAPI;

NicAPI::init("IHR_API_TOKEN");

$result = NicAPI::get("domain/handles/statistics");

if (NicAPI::wasSuccess()) {
    $data = $result->data;
}

POST Handles: Verification Refresh API v1

POST https://connect.nicapi.eu/api/v1/domain/handles/verification/refresh
Authentifizierung
API-Token erforderlich (Authorization: Bearer … oder Parameter authToken)
Benötigte Rechte
HANDLES_LIST

Request-Parameter Werden im Request-Body übergeben (JSON oder Formular-Felder).

Name Pflicht Typ Einschränkungen Beschreibung
handle Pflicht Identifikator: Domain-Handle (Kontakt) Identifikator (handle) des Objekts „Domain Handle“.
curl \
  -X POST \
  -H "Authorization: Bearer IHR_API_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
         "handle": "{handle}"
     }' \
  "https://connect.nicapi.eu/api/v1/domain/handles/verification/refresh"
use NicAPI\NicAPI;

NicAPI::init("IHR_API_TOKEN");

$result = NicAPI::post("domain/handles/verification/refresh", [
    'handle' => '{handle}',
]);

if (NicAPI::wasSuccess()) {
    $data = $result->data;
}

POST Handles: Verification Resend API v1

POST https://connect.nicapi.eu/api/v1/domain/handles/verification/resend
Authentifizierung
API-Token erforderlich (Authorization: Bearer … oder Parameter authToken)
Benötigte Rechte
HANDLES_CRUD

Request-Parameter Werden im Request-Body übergeben (JSON oder Formular-Felder).

Name Pflicht Typ Einschränkungen Beschreibung
handle Pflicht Identifikator: Domain-Handle (Kontakt) Identifikator (handle) des Objekts „Domain Handle“.
curl \
  -X POST \
  -H "Authorization: Bearer IHR_API_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
         "handle": "{handle}"
     }' \
  "https://connect.nicapi.eu/api/v1/domain/handles/verification/resend"
use NicAPI\NicAPI;

NicAPI::init("IHR_API_TOKEN");

$result = NicAPI::post("domain/handles/verification/resend", [
    'handle' => '{handle}',
]);

if (NicAPI::wasSuccess()) {
    $data = $result->data;
}